+++
date = "2020-09-26T13:14:52-04:00"
title = "Installing the mongocxx driver"
[menu.main]
  identifier = "mongocxx3-installation"
  parent = "mongocxx3"
  weight = 8
+++

## Prerequisites

- Any standard Unix platform, or Windows 7 SP1+
- A compiler that supports C++11 (gcc, clang, or Visual Studio)
- [CMake](https://cmake.org) 3.2 or later
- [boost](https://www.boost.org) headers (optional)

If you encounter build failures or other problems with a platform configuration
that meets the above prerequisites, please file a bug report via
[JIRA](https://jira.mongodb.org/browse/CXX/).

## Installation

To configure and install the driver, follow the instructions for your platform:

* [Configuring and installing on Windows]({{< ref "/mongocxx-v3/installation/windows" >}})
* [Configuring and installing on macOS]({{< ref "/mongocxx-v3/installation/macos" >}})
* [Configuring and installing on Linux]({{< ref "/mongocxx-v3/installation/linux" >}})

## Advanced Options

* [Advanced Configuration and Installation Options]({{< ref "/mongocxx-v3/installation/advanced" >}})

